Get a list of events

Use this API to get a list of events that match the given parameters.

Token Permissions: [ event_designer:access ]

Query Params
int32
1 to 100
Defaults to 20

The number of events to get per page.

int32
≥ 1
Defaults to 1

The page number to get.

string

Name of the event to match on.

boolean

Match only with shared or unshared events.

string

Match only events with the given broker type

string

Match only events in the given application domain.

applicationDomainIds
array of strings

Match only events in the given application domain ids.

applicationDomainIds
string

The sorting criteria for the returned results. You can sort the results by query parameter in ascending or descending order.
Define the sort order using the following string: fieldname:asc/desc where:

  • fieldname — The field name of the query parameter to sort by.
  • asc — Sort the selected field name in ascending order.
  • desc — Sort the selected field name in descending order.

If the direction is not specified, the default is ascending.

You can use multiple query parameters to refine the sorting order.

string

Returns the entities that match the custom attribute filter.
To filter by custom attribute name and value, use the format: customAttributes=<custom-attribute-name>==<custom-attribute-value>.
To filter by custom attribute name, use the format: customAttributes=<custom-attribute-name>.
The filter supports the AND operator for multiple custom attribute definitions (not multiple values for a given definition). Use ; (semicolon) to separate multiple queries with AND operation.
Note: the filter supports custom attribute values containing only the characters [a-zA-Z0-9_\-\. ].

ids
array of strings

Match only events with the given IDs separated by commas.

ids
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*
application/json